# The SoapVar class

(PHP 5, PHP 7)

## Introduction

A class representing a variable or object for use with SOAP services.

## Class synopsis

SoapVar {
/* Methods */
__construct ( mixed `$data` , string `$encoding` [, string `$type_name` [, string `$type_namespace` [, string `$node_name` [, string `$node_namespace` ]]]] )
SoapVar ( mixed `$data` , string `$encoding` [, string `$type_name` [, string `$type_namespace` [, string `$node_name` [, string `$node_namespace` ]]]] )
}

## Table of Contents

- SoapVar::__construct — SoapVar constructor
- SoapVar::SoapVar — SoapVar constructor